Subject: [NSIS] MIP QoS requirements draft - modification proposal for Section 3.3.2

From: [email-masked]
Date: Mon, 22 Apr 2002 15:30:47 -0400

Hi:
 
I received some comments privately that the text in Section 3.3.2 of draft-ietf-mobileip-qos-requirements-02.txt, is not clear enough. In response to that, I propose the following modification to this text. Please let me know if you have any comments, else I will go ahead and incorporate it in the next version (03) of the draft.
 
Thanks,
Hemant
 
Old text:
----------
 
2. Interactions with link-layer support for QoS:
 
The QoS mechanism MAY provide some information to the link layers for them to support the required QoS. Since a vast number of devices using Mobile IP will be connected to the Internet via wireless links, QoS parameters relevant for wireless links, such as error rate, MAY have to be included in the set of IP-level QoS parameters to be possibly considered by the underlying link layer.
 
An example scenario will be two UDP streams requiring different levels of error protection at the link layer. For such cases, an IP-layer QoS mechanism may indicate some generic parameters such as acceptable IP packet loss rate to link layers.
 
New text:
-----------
 
2. Interactions with wireless link-layer support for QoS:
 
Since a vast number of devices using Mobile IP will be connected to the Internet via wireless links, the QoS mechanism for Mobile IP MAY provide some information to the wireless link layers for them to support the required QoS. 
   
An example scenario that may benefit from such information is that of the two UDP streams associated with the same media, but requiring different levels of error protection at the wireless link layer due to certain characteristics of their respective encoding schemes. The packets of these two streams are equally delay sensitive (so as to maintain playout synchronization at the receiver), and hence, may be treated equally (as regards queuing) by IP layer. But they may need to be transmitted on wireless channels of different error characteristics(say different FEC coding or power levels).
   
The QoS information included for the benefit of wireless link layers SHOULD be such that it is meaningful both ways: to applications that reside over IP so that they can choose the IP service of certain QoS characteristics and to wireless link QoS managers so that they can then map this information to the details of lower layer mechanisms and their parameters.
 
In the example scenario described above, such a QoS information could be expressed as the acceptable loss rate of IP packets in the UDP stream. This parameter enables the UDP application to choose the IP service having QoS that matches its requirements, and it also enables the wireless link QoS managers to choose the right wireless channel to transmit the packets of this UDP stream.